*** This bug is a duplicate of bug 1832801 ***
    https://bugs.launchpad.net/bugs/1832801

** This bug has been marked a duplicate of bug 1832801
   disco: curl error while loading shared libraries: libssl.so.1.0.0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1832802

Title:
  disco: curl error while loading shared libraries: libssl.so.1.0.0

Status in curl package in Ubuntu:
  New

Bug description:
  Linux 5.0.0-16-generic #17-Ubuntu SMP Wed May 15 10:52:21 UTC 2019 x86_64 
x86_64 x86_64 GNU/Linux
  DISTRIB_RELEASE=19.04
  DISTRIB_DESCRIPTION="Ubuntu 19.04"

  curl:
    Installed: 7.64.0-2ubuntu1.1
    Candidate: 7.64.0-2ubuntu1.1
    Version table:
   *** 7.64.0-2ubuntu1.1 1001
         1001 http://security.ubuntu.com/ubuntu disco-security/main amd64 
Packages
         1001 http://mirror.aarnet.edu.au/pub/ubuntu/archive disco-updates/main 
amd64 Packages
          100 /var/lib/dpkg/status
       7.64.0-2ubuntu1 1001
         1001 http://mirror.aarnet.edu.au/pub/ubuntu/archive disco/main amd64 
Packages

  
  When I run curl, I get the following error:

  curl: error while loading shared libraries: libssl.so.1.0.0: cannot
  open shared object file: No such file or directory

  On other disco machines I'm not experiencing this issue. I apt purged
  openssl/libssl/curl and re-installed, but the error persists. I'm sure
  my system has some issue, but I'm unable to figure it out, and this
  felt like a bug as curl was working before upgrade to disco.

  I tried proposed packages to see if openssl 1.1.1b-1ubuntu2.2 instead
  of 1.1.1b-1ubuntu2 would make any difference, but the error persists.

  me@mbp:/usr/lib/x86_64-linux-gnu$ curl
  curl: error while loading shared libraries: libssl.so.1.0.0: cannot open 
shared object file: No such file or directory

  me@mbp:/usr/lib/x86_64-linux-gnu$ which curl
  /usr/bin/curl

  me@mbp:/usr/lib/x86_64-linux-gnu$ sudo dpkg -l | grep curl
  ii  curl                                                        
7.64.0-2ubuntu1.1                           amd64        command line tool for 
transferring data with URL syntax
  ii  libcurl3-gnutls:amd64                                       
7.64.0-2ubuntu1.1                           amd64        easy-to-use 
client-side URL transfer library (GnuTLS flavour)
  ii  libcurl4:amd64                                              
7.64.0-2ubuntu1.1                           amd64        easy-to-use 
client-side URL transfer library (OpenSSL flavour)
  ii  python3-pycurl                                              7.43.0.2-0.1  
                              amd64        Python bindings to libcurl (Python 3)

  me@mbp:/usr/lib/x86_64-linux-gnu$ sudo dpkg -l | grep ssl
  ii  android-libboringssl                                        8.1.0+r23-2   
                              amd64        Google's internal fork of OpenSSL 
for the Android SDK
  rc  docbook-dsssl                                               1.79-9.1      
                              all          modular DocBook DSSSL stylesheets, 
for print and HTML
  ii  libflac++6v5:amd64                                          1.3.2-3       
                              amd64        Free Lossless Audio Codec - C++ 
runtime library
  ii  libflac8:amd64                                              1.3.2-3       
                              amd64        Free Lossless Audio Codec - runtime 
C library
  ii  libflac8:i386                                               1.3.2-3       
                              i386         Free Lossless Audio Codec - runtime 
C library
  ii  libio-socket-ssl-perl                                       2.060-3       
                              all          Perl module implementing object 
oriented interface to SSL sockets
  ii  libnet-smtp-ssl-perl                                        1.04-1        
                              all          Perl module providing SSL support to 
Net::SMTP
  ii  libnet-ssleay-perl                                          1.85-2ubuntu3 
                              amd64        Perl module for Secure Sockets Layer 
(SSL)
  ii  libssl-dev:amd64                                            
1.1.1b-1ubuntu2.2                           amd64        Secure Sockets Layer 
toolkit - development files
  ii  libssl1.1:amd64                                             
1.1.1b-1ubuntu2.2                           amd64        Secure Sockets Layer 
toolkit - shared libraries
  ii  libssl1.1:i386                                              
1.1.1b-1ubuntu2.2                           i386         Secure Sockets Layer 
toolkit - shared libraries
  ii  libwavpack1:amd64                                           
5.1.0-5ubuntu0.1                            amd64        audio codec (lossy and 
lossless) - library
  ii  libwavpack1:i386                                            
5.1.0-5ubuntu0.1                            i386         audio codec (lossy and 
lossless) - library
  ii  libzstd1:amd64                                              1.3.8+dfsg-3  
                              amd64        fast lossless compression algorithm
  ii  libzstd1:i386                                               1.3.8+dfsg-3  
                              i386         fast lossless compression algorithm
  ii  openssl                                                     
1.1.1b-1ubuntu2.2                           amd64        Secure Sockets Layer 
toolkit - cryptographic utility
  ii  perl-openssl-defaults:amd64                                 3build1       
                              amd64        version compatibility baseline for 
Perl OpenSSL packages
  ii  python-openssl                                              19.0.0-1      
                              all          Python 2 wrapper around the OpenSSL 
library
  ii  ssl-cert                                                    1.0.39        
                              all          simple debconf wrapper for OpenSSL

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1832802/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to